<?php
namespace Mirasvit\LandingPage\Controller\Router;

/**
 * Interceptor class for @see \Mirasvit\LandingPage\Controller\Router
 */
class Interceptor extends \Mirasvit\LandingPage\Controller\Router implements \Magento\Framework\Interception\InterceptorInterface
{
    use \Magento\Framework\Interception\Interceptor;

    public function __construct(\Mirasvit\LandingPage\Repository\FilterRepository $filterRepository, \Mirasvit\LandingPage\Repository\PageRepository $pageRepository, \Magento\Framework\App\ActionFactory $actionFactory, \Magento\Framework\Event\ManagerInterface $eventManager, \Magento\Store\Model\StoreManagerInterface $storeManager, \Mirasvit\LandingPage\Model\Url\UrlParser $urlParser)
    {
        $this->___init();
        parent::__construct($filterRepository, $pageRepository, $actionFactory, $eventManager, $storeManager, $urlParser);
    }

    /**
     * {@inheritdoc}
     */
    public function match(\Magento\Framework\App\RequestInterface $request)
    {
        $pluginInfo = $this->pluginList->getNext($this->subjectType, 'match');
        return $pluginInfo ? $this->___callPlugins('match', func_get_args(), $pluginInfo) : parent::match($request);
    }
}
